## qtbase-opensource-src 5.11.3+dfsg1

=== tests/auto/cmake/test_add_resources_delayed_file/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_add_resources_delayed_file)

find_package(Qt5Core REQUIRED)

include_directories(${Qt5Core_INCLUDE_DIRS})

add_definitions(${Qt5Core_DEFINITIONS})

qt5_add_resources(rcc_files "${CMAKE_CURRENT_BINARY_DIR}/test_add_resources_delayed_file.qrc")

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_add_resources_delayed_file.qrc" "<!DOCTYPE RCC><RCC version=\"1.0\">
<qresource prefix=\"/\">
    <file>${CMAKE_CURRENT_SOURCE_DIR}/resource_file.txt</file>
</qresource>
</RCC>
")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(test_add_resources_delayed_file main.cpp ${rcc_files})
target_link_libraries(test_add_resources_delayed_file ${Qt5Core_LIBRARIES})

=== tests/auto/cmake/test_openglextensions_module/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_openglextensions_module)

find_package(Qt5OpenGLExtensions 5.1.0 REQUIRED)

include_directories(
    ${Qt5OpenGLExtensions_INCLUDE_DIRS}
)

add_definitions(
    ${Qt5OpenGLExtensions_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5OpenGLExtensions_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)

target_link_libraries(mainapp
    ${Qt5OpenGLExtensions_LIBRARIES}
)

=== debian/changelog ===
qtbase-opensource-src (5.11.3+dfsg1-1+deb10u8) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2024-39936: issue in HTTP2. Code to make security-relevant
    decisions about an established connection may execute too early,
    because the encrypted() signal has not yet been emitted and
    processed.
  * Add test for CVE 2015-9541
  * Add Salsa-CI configuration
  * Add git-buildpackage configuration
  * Fix debian/watch for 'uscan --download-current-version'
  * Add lintian overrides for misc Python script without dependency

 -- Sylvain Beucler <beuc@debian.org>  Thu, 27 Nov 2025 17:57:56 +0100

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u7) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2023-34410: certificate validation for TLS did not always
    consider whether the root of a chain is a configured CA certificate
  * Fixed the build on i386 and armhf, where the previous upload was
    never successfully built.

 -- Adrian Bunk <bunk@debian.org>  Mon, 28 Oct 2024 15:23:04 +0200

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u6) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-32763
    fix QTextLayout buffer overflow due to crafted SVG file
  * CVE-2023-24607
    fix denial of service via a crafted string when the SQL ODBC driver 
    plugin is used
  * fix regression caused by patch for CVE-2023-24607
  * CVE-2023-32762
    prevent incorrect parsing of the strict-transport-security (HSTS) header
  * CVE-2023-51714
    fix incorrect HPack integer overflow check.
  * CVE-2023-38197
    fix infinite loop in recursive entity expansion
  * CVE-2023-37639
    fix crash of application in QXmlStreamReader due to crafted XML string
  * CVE-2023-33285
    fix buffer overflow in QDnsLookup
  * backport of QByteArray::compare() needed for CVE-2023-32762
  * add new symbol to libqt5core5a.symbols

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Apr 2024 22:40:02 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz

## qtbase-opensource-src 5.12.2+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.2+dfsg-4ubuntu1) disco; urgency=medium

  * Fix an endianness issue in the bundled copy of tinyCBOR library.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 11 Apr 2019 16:29:37 +0300

qtbase-opensource-src (5.12.2+dfsg-4) experimental; urgency=medium

  * Build-depend on libxcb-xinput-dev, to fix mouse events handling.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Apr 2019 13:36:04 +0300

qtbase-opensource-src (5.12.2+dfsg-3) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add a patch to make qt_is_ascii function work properly on big endian.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Apr 2019 22:10:34 +0300

qtbase-opensource-src (5.12.2+dfsg-2) experimental; urgency=medium

  * Backport upstream patch to fix generation of Qt5::GLESv2 target on ARM.
  * Change Perl shebangs to /usr/bin/perl as required by Policy § 10.4.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 12:39:25 +0300

qtbase-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop patches, applied upstream:
    - fix-selection-rendering.patch
    - reference_dpi.diff
    - remove_need_for_glXGetProcAddressARB.patch
    - qprintdialog_duplex.diff
    - no_arc4random_buf.diff
    - kfreebsd_qstrncpy.diff
    - alpha_atimensec.diff
    - hurd_missing_include.diff
  * Refresh and rebase other patches.
  * Restore GLES-related changes that were dropped in 5.11.3+dfsg-4.
  * Add libqt5gui5-gles alternative dependency to platformtheme packages.
  * Update symbols files from the current build log.
  * Bump ABI version to qtbase-abi-5-12-2.
  * debian/scripts/update-copyright: Map upstream MIT license to Expat.
  * Regenerate the Qt part of debian/copyright.
  * Manually update the 3rdparty part of debian/copyright.

  [ Simon Quigley ]
  * Move the Flatpak platform theme to a generic XDG Desktop Portal platform
    theme.
  * Remove qxcbintegrationfunctions.h which is no longer provided by upstream.
  * Add new files from upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Mar 2019 20:47:10 +0300

=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper (>= 11),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.17.14),
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 1.6.0~),
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.17~),
               publicsuffix,
               unixodbc-dev,
               zlib1g-dev
Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3-1~) <!nodoc>
Standards-Version: 4.3.0
Homepage: http://qt-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5core5a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qtbase-abi-5-12-2
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qttranslations5-l10n
Suggests: libthai0
Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt5-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt5-flatpak-platformtheme
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qt5-xdgdesktopportal-platformtheme (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 Flatpak platform theme (transitional package)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional package which can safely be removed.

Package: qt5-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt5network5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libssl1.1, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5sql5-ibase
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Firebird database driver
 This package contains the Firebird plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt5xml5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 5 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtPrintSupport module provides classes to make printing easier and
 portable.

Package: qtbase5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use pre compiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	platform_arg = linux-g++
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	platform_arg = gnukfreebsd-g++
else
	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            -no-use-gold-linker \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -vf debian/stamp-makefile-build-tools

	# more leftovers
	rm -f .device.vars .qmake.vars

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't needs it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Configuration file for qt5-default package
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/default.conf

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

## qtbase-opensource-src 5.12.4+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.4+dfsg-4ubuntu1) eoan; urgency=medium

  * Backport two patches from upstream 5.12.5 release:
    - Use Xft DPI as basis for HiDPI scaling (LP: #1834333).
    - Fix crash when closing floating QDialogs, by reverting a breaking
      change from 5.12.4 release.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Oct 2019 11:59:59 +0300

qtbase-opensource-src (5.12.4+dfsg-4build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:58 +0000

qtbase-opensource-src (5.12.4+dfsg-4) experimental; urgency=medium

  * Mark libqxcb-glx-integration.so and the corresponding CMake file as
    not installed on armel and armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 22:35:09 +0300

qtbase-opensource-src (5.12.4+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix Qt WebEngine segfault with multiple
    screens and HighDPI scaling (hidpi_crash.diff).
  * Install most of the CMake files for plugins. Third-party software
    can use these plugins to detect presence of certain features in Qt
    (e.g. Qt WebKit uses it to detect X11 support). Skip SQL plugins and
    theme plugins, to avoid introducing new dependencies for qtbase5-dev.
  * Make debian/libqt5gui5.install a bit more verbose.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 14:28:13 +0300

qtbase-opensource-src (5.12.4+dfsg-2) experimental; urgency=medium

  * Bump ABI version to qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jun 2019 23:37:50 +0300

qtbase-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Split the single doc-base file into per-submodule files.

  [ Dmitry Shachnev ]
  * New upstream release.
    - Added an X11 system tray watcher (closes: #867794).
  * Drop the two big-endian patches, both applied upstream.
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Fix a typo in patch name (breachs → breaches).
  * Backport upstream patch to fix notification of QDockWidget when it gets
    undocked (needed for Krita).
  * Install two new files.
  * Update Homepage URL (use the page the old URL redirects to).
  * Update Upstream-Name and Source headers in debian/copyright (closes:
    #916556).
  * Update symbols files from buildds’ and the current build logs.
  * Backport four upstream commits to fix various errors from qdoc.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Jun 2019 17:46:27 +0300

qtbase-opensource-src (5.12.3+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop glesv2_absolute.diff, included in the new release.
  * Drop revert_remove_our_use_of_syscall_for-statx.patch, no longer
    needed with the new version (see QTBUG-74526).
  * Install some new winrt-msvc2019 mkspecs.
  * Update debian/libqt5gui5.symbols from the current build log.
  * Bump ABI version to qtbase-abi-5-12-3.
  * Backport upstream patch to fix an endianness issue in TinyCBOR.
  * Fix Perl shebang also in findclasslist.pl.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Apr 2019 22:51:39 +0300

qtbase-opensource-src (5.11.3+dfsg1-2) unstable; urgency=medium

  * Backport upstream patch to add support for non-PPD printers and avoid
    silent fallback to a printer supporting PPD (closes: #911844).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jun 2019 18:22:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -67,9 +66,11 @@
                publicsuffix,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3-1~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtattributionsscanner-qt5 <!nodoc>
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
 
@@ -77,7 +78,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-12-2
+Provides: qtbase-abi-5-12-4
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0

## qtbase-opensource-src 5.12.5+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.5+dfsg-9+rpi1) bullseye-staging; urgency=medium

  [changes introduced in 5.6.1+dfsg-2+rpi1] by Peter Michael Green]
  * Partially fix clean target.

  [changes introduced in 5.9.1+dfsg-9+rpi1 by Peter Michael Green]
  * Disable neon (-no-neon no longer seems to work, so edit configure.json instead)

 -- Raspbian forward porter <root@raspbian.org>  Thu, 05 Mar 2020 09:30:02 +0000

qtbase-opensource-src (5.12.5+dfsg-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to add an expansion limit for XML entities
    (CVE-2015-9541, closes: #951066).
    - Add two new symbols to debian/libqt5core5a.symbols.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Feb 2020 16:52:19 +0300

qtbase-opensource-src (5.12.5+dfsg-8) unstable; urgency=medium

  * Revert adding alternative qtbase5-gles-dev dependencies:
    - For qtbase5-private-dev: it is wrong, those who need private headers
      and OpenGL ES specific API should use qtbase5-private-gles-dev, not
      qtbase5-private-dev.
    - For libqt5opengl5-dev: it does not help, libqt5opengl5 uses desktop
      OpenGL specific symbols, so it is not installable with libqt5gui5-gles.
  * Remove explicit libqt5gui5 | libqt5gui5-gles dependencies from the
    platformtheme packages. Rely on ${shlibs:Depends} instead.
  * Override the remaining version-substvar-for-external-package error.
  * Backport fixes for two vulnerabilities:
    - CVE-2020-0569: Do not load plugin from the CWD.
    - CVE-2020-0570: Qt tries to load invalid library from CWD.
  * Make Qt 5 the default configuration in qtchooser, by installing the
    qt-default/qtchooser/default.conf symlink in libqt5core5a package.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2020 00:03:38 +0300

qtbase-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  * Changeless upload to allow arch:all binary packages being built after
    passing NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jan 2020 09:08:39 -0300

qtbase-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split the doxygen .tags files into a new qtbase5-doc-dev package,
    see #922707.
  * Make relevant development packages depend upon
    qtbase5-dev | qtbase5-gles-dev. This allows building packages with either of
    them (Closes: #949028).

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #876131)
    + Pass --external-hostbindir to use the native qmake.
    + Pass a cross platform_arg.
    + Verify that the qmake self-dependency exactly matches the version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Jan 2020 14:54:20 -0300

qtbase-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit the libdrm-dev build dependency as linux-any, as it is only useful
    on Linux. (Closes: #947675)

  [ Dmitry Shachnev ]
  * Backport upstream patch to add RISC-V detection.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 31 Dec 2019 14:19:15 +0300

qtbase-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  * Build-depend on libdrm-dev and libxcb-glx0-dev, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2019 00:28:25 +0300

qtbase-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix uic handling of .ui files with global
    includes. Thanks to Alexander Volkov for the pointer!
  * Stop depending on libgl1-mesa-dev and libgles2-mesa-dev, which are
    transitional packages in mesa ≥ 19.3.0~rc6-1.
  * Also make qtbase5-dev explicitly depend on libegl-dev (closes: #947117).
  * Move the compatibility symlinks from qtbase5-dev-tools to qtbase5-dev
    (closes: #939653).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 14:30:03 +0300

qtbase-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add support for PostgreSQL 12 (closes: #941763).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:33:00 +0300

qtbase-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * Merge 5.11.3+dfsg1-3 and -4 uploads from unstable.
  * New upstream release.
  * Drop hidpi_crash.diff, applied in the new release.
  * Refresh debian/patches/docs_fixes.diff.
  * Add two new files to debian/qt5-qmake.install.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtbase-abi-5-12-5.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2019 10:35:33 +0300

qtbase-opensource-src (5.11.3+dfsg1-4) unstable; urgency=medium

  * Backport upstream patch to fix build with GCC 9 (closes: #925812).
  * Backport upstream patch to silence some GCC 9 warnings.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Aug 2019 17:15:39 +0300

qtbase-opensource-src (5.11.3+dfsg1-3) unstable; urgency=medium

  * Tell dh_strip_nondeterminism to ignore .png files (closes: #934215).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Aug 2019 14:21:20 +0300

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
                libcups2-dev,
                libdbus-1-dev,
                libdouble-conversion-dev,
+               libdrm-dev [linux-any],
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
-               libgl1-mesa-dev | libgl-dev,
-               libgles2-mesa-dev | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -43,6 +44,7 @@
                libvulkan-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
+               libxcb-glx0-dev,
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
@@ -64,12 +66,13 @@
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
+               qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.12) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -78,11 +81,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-12-4
+Provides: qtbase-abi-5-12-5
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -110,9 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 GTK+ 3 platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -136,9 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5gui5 (= ${binary:Version}) | libqt5gui5-gles (>= ${source:Upstream-Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -332,4 +333,6 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
+Depends: libegl-dev,
+         libgl-dev [!armel !armhf],
+         libgles-dev [armel armhf],

=== debian/rules ===
--- 
+++ 
@@ -52,14 +52,17 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	platform_arg = linux-g++
-else ifeq ($(DEB_HOST_ARCH_OS),hurd)
-	platform_arg = hurd-g++
-else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-	platform_arg = gnukfreebsd-g++
-else
-	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
+mkspec_osmap_kfreebsd = gnukfreebsd
+platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
+platform_arg = $(platform_os)-g++
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
+endif
+
+# Refuse cross building with a qmake whose version differs from the package.
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -72,6 +75,9 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
+endif
 	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
 	        ./configure \
 	            -confirm-license \
@@ -194,6 +200,9 @@
 	# more leftovers
 	rm -f .device.vars .qmake.vars
 
+	# yet more crap
+	rm -rf doc/q*
+
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
@@ -234,16 +243,3 @@
 
 	# Configuration file for qt5-default package
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
-	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/default.conf
-
-	# Remove leftover directories
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
-	  -o -name .moc\* \
-	  -o -name .obj\* \
-	  -o -name .pch \
-	  -o -name .rcc \
-	\) -print0 | xargs -0 rm -rf
-
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-

## qtbase-opensource-src 5.12.8%2Bdfsg

=== debian/changelog ===
qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1+esm2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2024-25580.patch: Improve KTX file reading
      memory safety
    - CVE-2024-25580

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 03 Dec 2025 21:15:12 +1100

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1+esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2023-24607.patch: Deal with different sizes of
      SQLTCHAR correctly
    - CVE-2023-24607
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2023-32762.patch: Match header names case
      insensitively
    - CVE-2023-32762
  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-33285.patch: Fix parsing corrupt, malicious,
      or truncated replies
    - CVE-2023-33285
  * SECURITY UPDATE: Improper Certificate Validation
    - debian/patches/CVE-2023-34410.patch: Copy the on-demand cert loading
      bool from default config
    - CVE-2023-34410

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 19 Sep 2025 09:55:26 +1000

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Write
    - No-change rebuild for the focal-security pocket.
    - CVE-2021-38593

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 05 Jan 2022 18:54:17 +0000

qtbase-opensource-src (5.12.8+dfsg-0ubuntu2) focal; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 12 Dec 2021 14:25:21 +0300

qtbase-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Drop patches, included in the new release:
    - uic_global_includes.diff
    - CVE-2020-0569.diff
    - CVE-2020-0570.diff
    - CVE-2015-9541.diff
  * Refresh other patches.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Bump ABI version to qtbase-abi-5-12-8.
  * Bump Build-Depends-Indep to 5.12.8.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 10:57:56 +0300

qtbase-opensource-src (5.12.5+dfsg-9build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:50:35 +0100

## qtbase-opensource-src 5.12.8+dfsg

=== tests/auto/cmake/test_interface_link_libraries/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_interface_link_libraries)

find_package(Qt5Gui REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

cmake_policy(SET CMP0022 NEW)

include(GenerateExportHeader)

add_library(somelib SHARED somelib.cpp)
generate_export_header(somelib)
set_property(TARGET somelib PROPERTY LINK_LIBRARIES Qt5::Gui)
set_property(TARGET somelib PROPERTY INTERFACE_LINK_LIBRARIES Qt5::Gui)

add_executable(mainexe main.cpp)
set_property(TARGET mainexe PROPERTY LINK_LIBRARIES somelib)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -69,9 +70,9 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.12) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtattributionsscanner-qt5 <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
@@ -81,7 +82,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-12-5
+Provides: qtbase-abi-5-12-8
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -334,5 +335,3 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libegl-dev,
-         libgl-dev [!armel !armhf],
-         libgles-dev [armel armhf],

=== debian/rules ===
--- 
+++ 
@@ -200,9 +200,6 @@
 	# more leftovers
 	rm -f .device.vars .qmake.vars
 
-	# yet more crap
-	rm -rf doc/q*
-
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz
